commit:     807f4bfb110cce1960540262ab3488d06bf0b47e
Author:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Mon Mar 28 03:54:38 2022 +0000
Commit:     Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Mon Mar 28 04:21:07 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=807f4bfb

x11-libs/vte: Version bump to 0.68.0

Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>

 x11-libs/vte/Manifest          |  2 +
 x11-libs/vte/vte-0.68.0.ebuild | 90 ++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/x11-libs/vte/Manifest b/x11-libs/vte/Manifest
index 6d7024880831..d895cc2221c9 100644
--- a/x11-libs/vte/Manifest
+++ b/x11-libs/vte/Manifest
@@ -1,3 +1,5 @@
 DIST vte-0.28.2.tar.xz 962340 BLAKE2B 
1e4b5977962265be77917ccfc9118ed93232c03d7a16b6c08a27e721fe71f8c1dd1783a439530d7b3d915111cb8cc78281f1e9e351d6a83edd31f224309ca1e9
 SHA512 
d6a50481aaa8946cca3779e0b328fef551be534d70366a75385d1f8ead3fcddec57bed85c7d4bc2d9f34546532129e63083aafa33cbb0efcbc7dc9d66e7c45f6
 DIST vte-0.66.2-command-notify.patch.xz 9672 BLAKE2B 
8153a250f571f491845041627029065029bd32ab63c127aacc0852f42abee0834c716d63248120a49011857901d775b75fc0c31a513cfb113563e8ffb599e478
 SHA512 
d491f8332fbd21e8dfe225636ca035339ab1da3bd7dc74436cdd2f3de3c5f24f609f9825c4eb0b816c9f60862da62b97f36381c5cc5af0203b3698d56fc77d3e
 DIST vte-0.66.2.tar.bz2 503503 BLAKE2B 
174a0d9bfdaf2318255e62041ed94aa53f8fc110ed55f3e7b24baa70dd01a4851306ac47cc3f1d6699341c9ab41f85aee57c460b9f96bfd14618f0f40e4bd657
 SHA512 
6e9e2cc03b72c2d04aa3d7633dcf86649dcef39fdfecbe7a0c4b063eaccdb2ea83207f592edf348fad5a36f091d9261cc46fd0a4e9e5db6006fcecb0d01a6ccc
+DIST vte-0.68.0-command-notify.patch.xz 9748 BLAKE2B 
de2d4c9b7f2c2b21518984f818d0052c0084398f5f4ee30d766a6adb9c4536fdec5027c753d3d710fb7432e67472b7f8ca44f1dd5f51aaef48d9124708975d24
 SHA512 
89be91cdba36749f97bac872f0f2196be7d36a58beaf94fa24a3ae9c266bdfbf4f4fbf1d10f43a276540653fff7062eb844107016e7f014437f2903d251dc1d7
+DIST vte-0.68.0.tar.bz2 507598 BLAKE2B 
10274d9e804f00bf071b7848633ca8de2953f4e91dc2967e33b7d6698bb304baac4f0e0431debae5a972c2c56c65efd1c5b92455a17db08cf254ddec56d3276e
 SHA512 
785df7261b5075f166e59de7d3535b381564715ce65efd4837a130e153528691b610fc6160c00f0f17008f5f4ee94c23350d9a477b4b1d58da6ace083e5caae1

diff --git a/x11-libs/vte/vte-0.68.0.ebuild b/x11-libs/vte/vte-0.68.0.ebuild
new file mode 100644
index 000000000000..161fb49fb97e
--- /dev/null
+++ b/x11-libs/vte/vte-0.68.0.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+PYTHON_COMPAT=( python3_{8..10} )
+VALA_MIN_API_VERSION="0.48"
+
+inherit gnome.org meson python-any-r1 vala xdg
+
+DESCRIPTION="Library providing a virtual terminal emulator widget"
+HOMEPAGE="https://wiki.gnome.org/Apps/Terminal/VTE 
https://gitlab.gnome.org/GNOME/vte";
+
+# Once SIXEL support ships (0.66 or later), might need xterm license (but code 
might be considered upgraded to LGPL-3+)
+LICENSE="LGPL-3+ GPL-3+"
+SLOT="2.91"
+IUSE="+crypt debug gtk-doc +icu +introspection systemd +vala vanilla"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv 
~sparc ~x86 ~amd64-linux ~x86-linux ~x64-solaris ~x86-solaris"
+REQUIRED_USE="vala? ( introspection )"
+
+# Upstream is hostile and refuses to upload tarballs.
+SRC_URI="https://gitlab.gnome.org/GNOME/${PN}/-/archive/${PV}/${P}.tar.bz2";
+SRC_URI="${SRC_URI} !vanilla? ( 
https://dev.gentoo.org/~mattst88/distfiles/${PN}-0.68.0-command-notify.patch.xz 
)"
+
+RDEPEND="
+       >=x11-libs/gtk+-3.24.22:3[introspection?]
+       >=dev-libs/fribidi-1.0.0
+       >=dev-libs/glib-2.52:2
+       crypt?  ( >=net-libs/gnutls-3.2.7:0= )
+       icu? ( dev-libs/icu:= )
+       >=x11-libs/pango-1.22.0
+       >=dev-libs/libpcre2-10.21
+       systemd? ( >=sys-apps/systemd-220:= )
+       sys-libs/zlib
+       introspection? ( >=dev-libs/gobject-introspection-1.56:= )
+       x11-libs/pango[introspection?]
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+       ${PYTHON_DEPS}
+       dev-libs/libxml2:2
+       dev-util/glib-utils
+       gtk-doc? ( >=dev-util/gtk-doc-1.13
+               app-text/docbook-xml-dtd:4.1.2 )
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+
+       vala? ( $(vala_depend) )
+"
+
+PATCHES=(
+       
"${FILESDIR}"/${PN}-0.64.1-meson-Find-python-explicitly-to-honor-downstream-pyt.patch
+)
+
+src_prepare() {
+       default
+       use vala && vala_setup
+       xdg_environment_reset
+
+       if ! use vanilla; then
+               # Part of 
https://src.fedoraproject.org/rpms/vte291/raw/f31/f/vte291-cntnr-precmd-preexec-scroll.patch
+               # Adds OSC 777 support for desktop notifications in 
gnome-terminal or elsewhere
+               eapply "${WORKDIR}"/${PN}-0.68.0-command-notify.patch
+       fi
+
+       # -Ddebugg option enables various debug support via VTE_DEBUG, but also 
ggdb3; strip the latter
+       sed -e '/ggdb3/d' -i meson.build || die
+}
+
+src_configure() {
+       local emesonargs=(
+               -Da11y=true
+               $(meson_use debug debugg)
+               $(meson_use gtk-doc docs)
+               $(meson_use introspection gir)
+               -Dfribidi=true # pulled in by pango anyhow
+               -Dglade=true
+               $(meson_use crypt gnutls)
+               -Dgtk3=true
+               -Dgtk4=false
+               $(meson_use icu)
+               $(meson_use systemd _systemd)
+               $(meson_use vala vapi)
+       )
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+       mv "${ED}"/etc/profile.d/vte{,-${SLOT}}.sh || die
+}

Reply via email to